summaryrefslogtreecommitdiff
path: root/app-crypt/certbot-dns-rfc2136
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-04 17:42:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-04 17:42:36 +0000
commitce8bac0b2c19b03cc6900f83150e5919a7ef45d8 (patch)
tree82941c460cae4c21cdd5bdc457b5ff4d6c0a44b7 /app-crypt/certbot-dns-rfc2136
parentdce6a5a0133497528713915757aea1c985237037 (diff)
downloadbaldeagleos-repo-ce8bac0b2c19b03cc6900f83150e5919a7ef45d8.tar.gz
baldeagleos-repo-ce8bac0b2c19b03cc6900f83150e5919a7ef45d8.tar.xz
baldeagleos-repo-ce8bac0b2c19b03cc6900f83150e5919a7ef45d8.zip
Adding metadata
Diffstat (limited to 'app-crypt/certbot-dns-rfc2136')
-rw-r--r--app-crypt/certbot-dns-rfc2136/Manifest1
-rw-r--r--app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.10.0.ebuild70
-rw-r--r--app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild2
3 files changed, 72 insertions, 1 deletions
diff --git a/app-crypt/certbot-dns-rfc2136/Manifest b/app-crypt/certbot-dns-rfc2136/Manifest
index 2aa6fc0bd107..4f88de85085a 100644
--- a/app-crypt/certbot-dns-rfc2136/Manifest
+++ b/app-crypt/certbot-dns-rfc2136/Manifest
@@ -1,2 +1,3 @@
+DIST certbot-2.10.0.gh.tar.gz 2322931 BLAKE2B cb84815ec2db2b4b365f2f2bdee1749263b540a1b67f9195280bdb122307337d294beb403bc05b236a94ed0782b0d093e2b8527a65cb69cac949fa627388e8bd SHA512 444981952140376808a9aa475a692df91e60fffc6d45902a3f809bc07311a7d6597ad56e712d3dae234450eb1c735db431182e784bc748511e68bf4f5f2d6cbd
DIST certbot-2.8.0.gh.tar.gz 1344483 BLAKE2B f9957367ae65f69ab43a83993b29da4d28c0d01bd7a89ebefcbfb82915c26167b7443d08f6ee4d28e029f5a58736dee01700a30261aaa1dc0290273868da08e9 SHA512 2fbaf5349e7ef0dcb054c3b22d63007c588cbdc0d23d484a56e62ad38d21c91b838887e6e94cf9c0045a4382567c342288a796c81307deba84a246f5cc3bc5d6
DIST certbot-2.9.0.gh.tar.gz 1346993 BLAKE2B cf7fb4676dc31442abe11ef50d18073480a46f4ab19cc328da599b1372509af683b4c6010b46f31bce5703949e88b4702d404bd8582a1361caad43ec8f02cb94 SHA512 27c15ce8e4450f432fbc271cd847d27c7f1bce552cc6e5f2a91f1fbfc09ebe331b54bab17639b86c19605de059767015665c26e872c3b0699edb1c85392a0546
diff --git a/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.10.0.ebuild b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.10.0.ebuild
new file mode 100644
index 000000000000..11274edd6ba2
--- /dev/null
+++ b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-2.10.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+PARENT_PN="${PN%-dns-rfc2136}"
+PARENT_P="${PARENT_PN}-${PV}"
+
+if [[ "${PV}" == *9999 ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/certbot/certbot.git"
+ EGIT_SUBMODULES=()
+ EGIT_CHECKOUT_DIR="${WORKDIR}/${PARENT_P}"
+else
+ SRC_URI="
+ https://github.com/certbot/certbot/archive/v${PV}.tar.gz
+ -> ${PARENT_P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="RFC 2136 DNS Authenticator plugin for Certbot (Let’s Encrypt client)"
+HOMEPAGE="
+ https://github.com/certbot/certbot
+ https://letsencrypt.org/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+S="${WORKDIR}/${PARENT_P}/${PN}"
+
+BDEPEND="
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+ >=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/dnspython-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+# Same than PATCHES but from repository's root directory,
+# please see function `python_prepare_all` below.
+# Simplier for users IMHO.
+PARENT_PATCHES=(
+)
+
+# Here for patches within "${PN}" subdirectory.
+PATCHES=(
+)
+
+python_prepare_all() {
+ pushd "${WORKDIR}/${PARENT_P}" > /dev/null || die
+ [[ -n "${PARENT_PATCHES[@]}" ]] && eapply "${PARENT_PATCHES[@]}"
+ eapply_user
+ popd > /dev/null || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild
index 93c9b946db3f..11274edd6ba2 100644
--- a/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild
+++ b/app-crypt/certbot-dns-rfc2136/certbot-dns-rfc2136-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8